Last Comment Bug 779403 - Invalidation errors when animating masks
: Invalidation errors when animating masks
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Jonathan Watt [:jwatt]
:
: Jet Villegas (:jet)
Mentors:
Depends on: 768351
Blocks: 738192
  Show dependency treegraph
 
Reported: 2012-07-31 21:38 PDT by Brian Birtles (:birtles)
Modified: 2014-01-10 10:41 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
+
fixed
verified


Attachments
Faulty rendering in Aurora (169.01 KB, image/png)
2012-07-31 21:38 PDT, Brian Birtles (:birtles)
no flags Details
Faulty rendering in Nightly (144.09 KB, image/png)
2012-07-31 21:39 PDT, Brian Birtles (:birtles)
no flags Details
Windows 7_64#1 (246.98 KB, image/jpeg)
2012-10-17 05:11 PDT, Virgil Dicu [:virgil] [QA]
no flags Details
Windows 7_64#2 (275.94 KB, image/jpeg)
2012-10-17 05:18 PDT, Virgil Dicu [:virgil] [QA]
no flags Details

Description Brian Birtles (:birtles) 2012-07-31 21:38:44 PDT
Created attachment 647841 [details]
Faulty rendering in Aurora

I'm seeing invalidating problems when navigating to:
http://people.mozilla.org/~bbirtles/pres/fxdevcon-2012/#14.3
And then pressing the right arrow (to advance to the next bullet point).

The graphic in question uses SVG masks combined with CSS transitions.

It looks fine in Beta. I've attached screenshots of the results in Aurora and Nightly.

I see the same thing even with Direct2D disabled

It appears to be an invalidation issue as if I Alt+Tab away and back it renders correctly.

Note that there is also a transform applied to the <object> containing the SVG in question. In order to workaround bug 765107 it basically applies to the <object> an inverse transform to that applied by dzSlides to the document body (to scale the slides to the screen). Then it adjusts the width of the element to achieve the same scale.
Comment 1 Brian Birtles (:birtles) 2012-07-31 21:39:14 PDT
Created attachment 647842 [details]
Faulty rendering in Nightly
Comment 2 Brian Birtles (:birtles) 2012-07-31 21:41:45 PDT
For the regression range, bug 766429 is a possible culprit.
Comment 3 Jonathan Watt [:jwatt] 2012-08-01 03:34:53 PDT
Actually, this seems to have regressed with bug 738192.
Comment 4 Jonathan Watt [:jwatt] 2012-08-01 03:36:28 PDT
And been fixed by bug 768351. We should backport that bug's fix to mozilla-aurora.
Comment 5 Jonathan Watt [:jwatt] 2012-08-01 17:55:31 PDT
The patch for bug 768351 is now on 17 and 16.
Comment 6 Virgil Dicu [:virgil] [QA] 2012-10-17 05:11:55 PDT
Created attachment 672259 [details]
Windows 7_64#1

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 beta 1

Attempted to verify on Firefox 17 beta 1 for 
- Windows 7, 64 bit version, 
- Windows 8, 64 bit version, 
- Mac OsX 10.7.5,
- Ubuntu 12.04, 32 bit version, 
and it seems like the link http://people.mozilla.org/~bbirtles/pres/fxdevcon-2012/#14.3 is not rendered correctly for the operating systems above (see attachment "Windows 7_64#1").
Comment 7 Virgil Dicu [:virgil] [QA] 2012-10-17 05:18:06 PDT
Created attachment 672264 [details]
Windows 7_64#2

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 beta 1

After exploring the document back and forth with the left and right arrows key, it turned out that the complete number of bullets are not displayed in page for:
- Windows 7 and Windows 8 (see attachment "Windows 7_64#2");

The complete number of bullets are listed instead for:
- Mac OsX 10.7.5 and Ubuntu 12.04. 

Any thoughts?
Comment 8 Jonathan Watt [:jwatt] 2012-10-17 05:33:14 PDT
Do we not have .zip versions of mozilla-beta nightly builds somewhere? Or is there a way to extract the contents of the .exe installers without running them?
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 11:16:27 PDT
(In reply to Jonathan Watt [:jwatt] from comment #8)
> Do we not have .zip versions of mozilla-beta nightly builds somewhere? Or is
> there a way to extract the contents of the .exe installers without running
> them?

We do for beta candidate builds, but not the beta nightly builds:
ftp://ftp.mozilla.org/pub/firefox/nightly/17.0b1-candidates/build2/win32/en-US/firefox-17.0b1.zip
Comment 10 Virgil Dicu [:virgil] [QA] 2012-11-19 05:22:36 PST
Verified on
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 RC
Build ID: 20121116115405

The transitions are smoothly and there are no rendering or navigation problems now.

Verified also in latest Nightly and latest Aurora and there were no problems found with the rendering or navigation.
Comment 11 Tracy Walker [:tracy] 2014-01-10 10:41:59 PST
mass remove verifyme requests greater than 4 months old

Note You need to log in before you can comment on or make changes to this bug.